Search documentation of stripe_elixir

# StripeElixir.Services.Terminal.LocationService (stripe_elixir v0.1.0)

Copy Markdown View Source

TerminalLocationLocation

A Location represents a grouping of readers.

Related guide: Fleet management

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Location

delete(client, location, params \\ %{}, opts \\ [])

Delete a Location

list(client, params \\ %{}, opts \\ [])

List all Locations

retrieve(client, location, params \\ %{}, opts \\ [])

Retrieve a Location

update(client, location, params \\ %{}, opts \\ [])

Update a Location

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a Location

Creates a new `Location` object. For further details, including which address fields are required in each country, see the Manage locations guide.

# delete(client, location, params \\ %{}, opts \\ [])

    @spec delete(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Delete a Location

Deletes a `Location` object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all Locations

Returns a list of `Location` objects.

# retrieve(client, location, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a Location

Retrieves a `Location` object.

# update(client, location, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a Location

Updates a `Location` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.